Bug 187465 - FC5 snort package sets permissions on /etc/rc.d and /etc/rc.d/init.d to 644
FC5 snort package sets permissions on /etc/rc.d and /etc/rc.d/init.d to 644
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: snort (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 23:30 EST by David L. Crow
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.4-3.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 12:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. Crow 2006-03-30 23:30:37 EST
Description of problem:

The snort packages in FC5 extras have incorrect entries for /etc/rc.d and
/etc/rc.d/init.d as shown with rpm -q --dump:

/etc/rc.d 4096 1143696384 00000000000000000000000000000000 040644 root root 0 0 0 X
/etc/rc.d/init.d 4096 1143696384 00000000000000000000000000000000 040644 root
root 0 0 0 X

It seems that neither of these should even be there as these directories are
created by the initscripts package.

Version-Release number of selected component (if applicable):

snort-2.4.4-1.fc5.i386.rpm
snort-2.4.4-2.fc5.i386.rpm

How reproducible:

Every time.

Steps to Reproduce:
1. rpm -ivh
http://download.fedora.redhat.com/pub/fedora/linux/extras/5/i386/snort-2.4.4-2.fc5.i386.rpm
2. ls -lad /etc/rc.d /etc/rc.d/init.d
  
Actual results:

drw-r--r-- 10 root root 4096 Mar 29 23:26 /etc/rc.d
drw-r--r--  2 root root 4096 Mar 30 22:36 /etc/rc.d/init.d

Expected results:

drwxr-xr-x 10 root root 4096 Mar 29 23:26 /etc/rc.d/
drwxr-xr-x  2 root root 4096 Mar 30 22:23 /etc/rc.d/init.d/

Additional info:
Comment 1 Dennis Gilmore 2006-04-02 12:11:16 EDT
snort no longer owns either directory  

Note You need to log in before you can comment on or make changes to this bug.